Debian Bug report logs - #544684
New upstream: 0.3 series

version graph

Package: exaile; Maintainer for exaile is Vincent Cheng <Vincentc1208@gmail.com>; Source for exaile is src:exaile.

Reported by: andrewc@piffle.org

Date: Wed, 2 Sep 2009 11:21:23 UTC

Severity: normal

Tags: sid, squeeze

Merged with 575659, 576847

Found in versions exaile/0.2.14+debian-2, exaile/0.2.14+debian-2.3

Fixed in version exaile/0.3.2.0-0.1

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Wed, 02 Sep 2009 11:21:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrewc@piffle.org:
New Bug report received and forwarded. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Wed, 02 Sep 2009 11:21:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <andrewc@piffle.org>
To: submit@bugs.debian.org
Subject: exaile: new upstream: 3.0 series
Date: Wed, 02 Sep 2009 11:48:47 +0100
Package: exaile
Version: 0.2.14+debian-2

The Exaile bods have released version 3.0.0:

  http://www.exaile.org/
  https://code.launchpad.net/exaile

although it seems that some of the fiddlier/more complex features 
weren't reimplemented for the new player ("These should return in 
0.3.1"). Not sure which ones these are, but presumably the new series is 
functional and mostly bug-free...

-- 
Andrew Chadwick




Changed Bug title to 'New upstream: 0.3 series' from 'exaile: new upstream: 3.0 series' Request was from Andrew Chadwick <andrewc@piffle.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 12:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Fri, 02 Oct 2009 18:51:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew SB <a.starr.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Fri, 02 Oct 2009 18:51:24 GMT) Full text and rfc822 format available.

Message #12 received at 544684@bugs.debian.org (full text, mbox):

From: Andrew SB <a.starr.b@gmail.com>
To: 544684@bugs.debian.org
Date: Fri, 2 Oct 2009 14:32:08 -0400
Hi,

As Exaile was made the default music player for Xubuntu 9.10, we were
eager to include the new upstream release. I've worked with Exaile
upstream on new packaging. You can find the packaging branch here:

https://code.edge.launchpad.net/~exaile-packagers/exaile/ubuntu

One major change that upstream wanted was to split out three of the
plugins into there own binary packages: exaile-plugin-moodbar,
exaile-plugin-ipod, and exaile-plugin-contextinfo. The rest are still
included in the main exaile package (plugins enabled by default have
their dependencies as Recommends while those that aren't only have
Suggests). Also the new plugin system does not download them anymore,
allowing us to drop the patch disabling that.

Please let me know if there is anything that I could do to help with
getting this release into Debian. I also maintain a number of packages
in Debian, and would be willing to become a co-maintainer if you are
interested.

Thanks for your work!

- Andrew Starr-Bochicchio




Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Sat, 10 Oct 2009 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Cycon <lcycon@gmail.com>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Sat, 10 Oct 2009 19:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 544684@bugs.debian.org (full text, mbox):

From: Luke Cycon <lcycon@gmail.com>
To: 544684@bugs.debian.org
Subject: Re: exaile: new upstream: 3.0 series
Date: Sat, 10 Oct 2009 12:33:00 -0700
I would like to see this new version go into the archives as well.

If you would like, I have made a PPA build of exaile 0.3.0.1.  Its
lintian clean (save a warning about manpages, but I will be fixing that
soon).  Also has a patch to add a "Replace playlist" option for when you
are selecting music from your collection as well as a patch that fixes
the LyricWiki plugin.
-- 
Luke Cycon <lcycon@gmail.com>





Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Fri, 15 Jan 2010 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Fri, 15 Jan 2010 17:39:06 GMT) Full text and rfc822 format available.

Message #22 received at 544684@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 544684@bugs.debian.org
Subject: Please upload exaile 0.3.x
Date: Fri, 15 Jan 2010 18:36:57 +0100
Given that the new upstream version fixes some of the open
bugs in the Debian version, I would appreciate an upload.





Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Fri, 22 Jan 2010 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Fri, 22 Jan 2010 18:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 544684@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 544684@bugs.debian.org
Subject: New version in Ubuntu
Date: Fri, 22 Jan 2010 19:32:49 +0100
Ubuntu has a newer version since some months now:
https://launchpad.net/ubuntu/+source/exaile/0.3.0.2-0ubuntu1
Could you "port" the package to Debian?





Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Fri, 26 Mar 2010 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <andrewsomething@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Fri, 26 Mar 2010 15:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 544684@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <andrewsomething@ubuntu.com>
To: Chow Loong Jin <hyperair@ubuntu.com>, francois.fevotte@ensta.org
Cc: 544684@bugs.debian.org, python-apps-team@lists.alioth.debian.org
Subject: Re: Exaile 0.3+ for Debian
Date: Fri, 26 Mar 2010 11:06:19 -0400
On Fri, Mar 26, 2010 at 2:14 AM, Chow Loong Jin <hyperair@ubuntu.com> wrote:
> Hi Andrew,
>
> I've noticed that you have been maintaining Exaile in Ubuntu, and have attempted
> to get the new upstream version into Debian somewhere around September last
> year[1]. Have you gotten any reply from the Debian maintainers or made any progress?
>
> Remuco (J2ME bluetooth remote control for audio players) has an Exaile adaptor,
> but I can't introduce the package in Debian since it requires exaile >= 2.99.3
> and Debian is still stuck at 0.2.14. Right now remuco remains syncable, and I
> would really like to keep it that way, or I will have to introduce an Ubuntu
> delta for Remuco.
>
> If the Debian maintainers haven't replied/are unresponsive, an NMU should be
> considered, and maybe shifting the package to debian-python's control, to ensure
> that the package gets the proper maintenance it deserves in the future.
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544684#12


There has not been any response from the maintainer to that bug report
or my offer of help. Upstream Exaile developers have also expressed to
me their dissatisfaction with the package's state in Debian. The
reason why I have not pursued a NMU regarding this is that upstream
has been completely rewritten, so the changes that we've introduced to
the packaging are fairly invasive. Though I would certainly be
interested in adopting the package or becoming a co-maintainer. Either
way, this would probably be best done under the auspice of the
python-apps team.

I would appreciate any advice members of the  python-apps team might
have as I've never taken over a package not already up for adoption.
Of course, a response from the maintainer about the situation would be
even better. I have no intention of "hijacking" your package if you
intend to continue maintaining it.

Thanks,

Andrew Starr-Bochicchio

> --
> Kind regards,
> Chow Loong Jin (GPG: 0x8F02A411)
> Ubuntu Developer
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, François Févotte <francois.fevotte@ensta.org>:
Bug#544684; Package exaile. (Sat, 27 Mar 2010 10:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to François Févotte <francois.fevotte@ensta.org>. (Sat, 27 Mar 2010 10:06:07 GMT) Full text and rfc822 format available.

Message #37 received at 544684@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Andrew Starr-Bochicchio <andrewsomething@ubuntu.com>
Cc: Chow Loong Jin <hyperair@ubuntu.com>, francois.fevotte@ensta.org, 544684@bugs.debian.org, python-apps-team@lists.alioth.debian.org
Subject: Re: [Python-apps-team] Exaile 0.3+ for Debian
Date: Sat, 27 Mar 2010 11:01:59 +0100
On 2010-03-26 11:06, Andrew Starr-Bochicchio wrote:
> I would appreciate any advice members of the  python-apps team might
> have as I've never taken over a package not already up for adoption.
> Of course, a response from the maintainer about the situation would be
> even better. I have no intention of "hijacking" your package if you
> intend to continue maintaining it.

Just my two ¢s: I am in favour of giving Exaile into the hands
of Python apps. The current state of the package leaves room for
improvements, means: Even if the package breaks for a moment, it
probably is worth the step. (Meanwhile I switched to Quodlibet.)




Forcibly Merged 544684 575659 576847. Request was from Rogério Brito <rbrito@ime.usp.br> to control@bugs.debian.org. (Thu, 18 Nov 2010 17:15:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:01:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:10:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.